from omni.kit.scripting import BehaviorScript


class ExampleBehaiour(BehaviorScript):
    

    def on_init(self):
        print(f"{__class__.__name__}.on_init()->{self.prim_path}")
        self._flag = True

    def on_destroy(self):
        print(f"{__class__.__name__}.on_destroy()->{self.prim_path}")

    def on_play(self):
        print(f"{__class__.__name__}.on_play()->{self.prim_path}")

    def on_pause(self):
        print(f"{__class__.__name__}.on_pause()->{self.prim_path}")

    def on_stop(self):
        print(f"{__class__.__name__}.on_stop()->{self.prim_path}")

    def on_update(self, current_time: float, delta_time: float):
        print(f"{__class__.__name__}.on_update(current_time={current_time}, delta_time={delta_time})->{self.prim_path}")
       
        x = self.prim.GetAttribute("xformOp:translate").Get()
        if self._flag :
            t = x[0] + delta_time*350
        else:
            t = x[0] - delta_time*350
        
        print("@@@@@  BEHAVIOUR SCRIPT")
        self._prim.GetAttribute('xformOp:translate').Set((t, 485, 0))
        if (t > 2000):
            self._flag = False
        elif (t < 0):
            self._flag = True
